Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class BaseWireFeedParser

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedParser

All Implemented Interfaces:
  WireFeedParser

Direct Known Subclasses:
  Atom03Parser, Atom10Parser, RSS090Parser

    public abstract class BaseWireFeedParser

extends Object
implements WireFeedParser

Author:
  Alejandro Abdelnur

Constructor Summary
`protected` | `BaseWireFeedParser(String type, org.jdom.Namespace namespace)`

Method Summary
`protected List` | `extractForeignMarkup(org.jdom.Element e, Extendable ext, org.jdom.Namespace basens)`
`protected org.jdom.Attribute` | `getAttribute(org.jdom.Element e, String attributeName)`
`protected String` | `getAttributeValue(org.jdom.Element e, String attributeName)`
`String` | `getType()` Returns the type of feed the parser handles.
`protected List` | `parseFeedModules(org.jdom.Element feedElement)`
`protected List` | `parseItemModules(org.jdom.Element itemElement)`
`protected List` | `parsePersonModules(org.jdom.Element itemElement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.syndication.io.WireFeedParser
`isMyType, parse`

Constructor Detail

### BaseWireFeedParser

    protected BaseWireFeedParser(String type,
                                 org.jdom.Namespace namespace)

Method Detail

### getType

    public String getType()

  Returns the type of feed the parser handles.

  Specified by:
    `getType` in interface `WireFeedParser`
  Returns:
    the type of feed the parser handles.
  See Also:
    `for details on the format of this string.

    `

### parseFeedModules

    protected List parseFeedModules(org.jdom.Element feedElement)

### parseItemModules

    protected List parseItemModules(org.jdom.Element itemElement)

### parsePersonModules

    protected List parsePersonModules(org.jdom.Element itemElement)

### extractForeignMarkup

    protected List extractForeignMarkup(org.jdom.Element e,
                                        Extendable ext,
                                        org.jdom.Namespace basens)

### getAttribute

    protected org.jdom.Attribute getAttribute(org.jdom.Element e,
                                              String attributeName)

### getAttributeValue

    protected String getAttributeValue(org.jdom.Element e,
                                       String attributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.